Content Hub: com::ubuntu::content::Transfer Class Reference

Content Hub 0.2.0 A session-wide content-exchange service |

Public Types | Public Member Functions | Properties | Friends | List of all members
com::ubuntu::content::Transfer Class Reference

`#include <transfer.h>`

Inheritance diagram for com::ubuntu::content::Transfer:
Collaboration diagram for com::ubuntu::content::Transfer:

## Public Types
enum | State { created, initiated, in_progress, charged, collected, aborted, finalized, downloading, downloaded }
enum | SelectionType { single, multiple }
enum | Direction { Import, Export, Share }

## Public Member Functions
| Transfer (const Transfer &)=delete
virtual | ~Transfer ()
Transfer & | operator= (const Transfer &)=delete
virtual Q_INVOKABLE int | id () const
virtual Q_INVOKABLE State | state () const
virtual Q_INVOKABLE SelectionType | selectionType () const
virtual Q_INVOKABLE Direction | direction () const
virtual Q_INVOKABLE bool | start ()
virtual Q_INVOKABLE bool | abort ()
virtual Q_INVOKABLE bool | finalize ()
virtual Q_INVOKABLE bool | charge (const QVector< Item > &items)
virtual Q_INVOKABLE QVector< Item > | collect ()
virtual Q_INVOKABLE Store | store () const
virtual Q_INVOKABLE bool | setStore (const Store *)
virtual Q_INVOKABLE bool | setSelectionType (const SelectionType &)
virtual Q_INVOKABLE QString | downloadId () const
virtual Q_INVOKABLE bool | setDownloadId (const QString)
virtual Q_INVOKABLE bool | download ()
virtual Q_INVOKABLE QString | contentType () const
virtual Q_INVOKABLE QString | source () const
virtual Q_INVOKABLE QString | destination () const
Q_SIGNAL void | stateChanged ()
Q_SIGNAL void | storeChanged ()
Q_SIGNAL void | selectionTypeChanged ()
Q_SIGNAL void | downloadIdChanged ()

## Properties
int | id
State | state
QVector< Item > | items
Store | store
SelectionType | selectionType
Direction | direction
QString | downloadId
QString | contentType
QString | source
QString | destination

## Friends
struct | Private
class | Hub
class | com::ubuntu::content::detail::Handler

## Detailed Description

Definition at line 51 of file transfer.h.

## Member Enumeration Documentation

## ◆ Direction

enum com::ubuntu::content::Transfer::Direction

Enumerator
Import |
Export |
Share |

Definition at line 88 of file transfer.h.

## ◆ SelectionType

enum com::ubuntu::content::Transfer::SelectionType

Enumerator
single |
multiple |

Definition at line 82 of file transfer.h.

## ◆ State

enum com::ubuntu::content::Transfer::State

Enumerator
created |
initiated |
in_progress |
charged |
collected |
aborted |
finalized |
downloading |
downloaded |

Definition at line 69 of file transfer.h.

## Constructor & Destructor Documentation

## ◆ Transfer()

com::ubuntu::content::Transfer::Transfer | ( | const Transfer & |  | ) |
| delete

## ◆ ~Transfer()

virtual com::ubuntu::content::Transfer::~Transfer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ abort()

virtual Q_INVOKABLE bool com::ubuntu::content::Transfer::abort | ( |  | ) |
| virtual

## ◆ charge()

virtual Q_INVOKABLE bool com::ubuntu::content::Transfer::charge | ( | const QVector< Item > & | items | ) |
| virtual

## ◆ collect()

virtual Q_INVOKABLE QVector<Item> com::ubuntu::content::Transfer::collect | ( |  | ) |
| virtual

## ◆ contentType()

virtual Q_INVOKABLE QString com::ubuntu::content::Transfer::contentType | ( |  | ) | const
| virtual

## ◆ destination()

virtual Q_INVOKABLE QString com::ubuntu::content::Transfer::destination | ( |  | ) | const
| virtual

## ◆ direction()

virtual Q_INVOKABLE Direction com::ubuntu::content::Transfer::direction | ( |  | ) | const
| virtual

## ◆ download()

virtual Q_INVOKABLE bool com::ubuntu::content::Transfer::download | ( |  | ) |
| virtual

## ◆ downloadId()

virtual Q_INVOKABLE QString com::ubuntu::content::Transfer::downloadId | ( |  | ) | const
| virtual

## ◆ downloadIdChanged()

Q_SIGNAL void com::ubuntu::content::Transfer::downloadIdChanged | ( |  | ) |

## ◆ finalize()

virtual Q_INVOKABLE bool com::ubuntu::content::Transfer::finalize | ( |  | ) |
| virtual

## ◆ id()

virtual Q_INVOKABLE int com::ubuntu::content::Transfer::id | ( |  | ) | const
| virtual

## ◆ operator=()

Transfer& com::ubuntu::content::Transfer::operator= | ( | const Transfer & |  | ) |
| delete

## ◆ selectionType()

virtual Q_INVOKABLE SelectionType com::ubuntu::content::Transfer::selectionType | ( |  | ) | const
| virtual

## ◆ selectionTypeChanged()

Q_SIGNAL void com::ubuntu::content::Transfer::selectionTypeChanged | ( |  | ) |

## ◆ setDownloadId()

virtual Q_INVOKABLE bool com::ubuntu::content::Transfer::setDownloadId | ( | const | QString | ) |
| virtual

## ◆ setSelectionType()

virtual Q_INVOKABLE bool com::ubuntu::content::Transfer::setSelectionType | ( | const SelectionType & |  | ) |
| virtual

## ◆ setStore()

virtual Q_INVOKABLE bool com::ubuntu::content::Transfer::setStore | ( | const Store * |  | ) |
| virtual

## ◆ source()

virtual Q_INVOKABLE QString com::ubuntu::content::Transfer::source | ( |  | ) | const
| virtual

## ◆ start()

virtual Q_INVOKABLE bool com::ubuntu::content::Transfer::start | ( |  | ) |
| virtual

## ◆ state()

virtual Q_INVOKABLE State com::ubuntu::content::Transfer::state | ( |  | ) | const
| virtual

## ◆ stateChanged()

Q_SIGNAL void com::ubuntu::content::Transfer::stateChanged | ( |  | ) |

## ◆ store()

virtual Q_INVOKABLE Store com::ubuntu::content::Transfer::store | ( |  | ) | const
| virtual

## ◆ storeChanged()

Q_SIGNAL void com::ubuntu::content::Transfer::storeChanged | ( |  | ) |

## Friends And Related Function Documentation

## ◆ com::ubuntu::content::detail::Handler

friend class com::ubuntu::content::detail::Handler
| friend

Definition at line 128 of file transfer.h.

## ◆ Hub

friend class Hub
| friend

Definition at line 127 of file transfer.h.

## ◆ Private

friend struct Private
| friend

Definition at line 126 of file transfer.h.

## Property Documentation

## ◆ contentType

QString com::ubuntu::content::Transfer::contentType
| read

Definition at line 1 of file transfer.h.

## ◆ destination

QString com::ubuntu::content::Transfer::destination
| read

Definition at line 1 of file transfer.h.

## ◆ direction

Direction com::ubuntu::content::Transfer::direction
| read

Definition at line 1 of file transfer.h.

## ◆ downloadId

QString com::ubuntu::content::Transfer::downloadId
| readwrite

Definition at line 1 of file transfer.h.

## ◆ id

int com::ubuntu::content::Transfer::id
| read

Definition at line 1 of file transfer.h.

## ◆ items

QVector<Item> com::ubuntu::content::Transfer::items
| readwrite

Definition at line 1 of file transfer.h.

## ◆ selectionType

SelectionType com::ubuntu::content::Transfer::selectionType
| readwrite

Definition at line 1 of file transfer.h.

## ◆ source

QString com::ubuntu::content::Transfer::source
| read

Definition at line 1 of file transfer.h.

## ◆ state

State com::ubuntu::content::Transfer::state
| read

Definition at line 1 of file transfer.h.

## ◆ store

Store com::ubuntu::content::Transfer::store
| read

Definition at line 1 of file transfer.h.

The documentation for this class was generated from the following file:

- /build/content-hub-git/src/content-hub/include/com/ubuntu/content/transfer.h